Subject: re: folklore of plants

From: [email-masked] (Lisa Nunamaker-Orgler)
Date: 14 Dec 1994 17:20:22 GMT

I have a couple of ideas for you --  one book that I just love is written by
Sara Midda.  I      can't remember the exact title right now but it has the
word garden in it.  It is full of folklore and beautiful pictures!

Another book is by Hal Borland and Les Line, called A Countryman's Woods. 
It describes how plants got their names.  the same author also wrote a book
with a similar title -- A Countryman's Flowers or something like that.  Try
-- 
Lisa L Orgler
[email-masked]